com.sun.jna

## Interface SymbolProvider

-     public interface SymbolProvider

  Interface to define a custom symbol provider. This can be used for method hooking, or special classes like direct mapping the Win32 OpenGL.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getSymbolAddress(long handle, java.lang.String name, SymbolProvider parent)` Gets the address of a symbol by its name and the handle of the library.

- - ### Method Detail

    - #### getSymbolAddress

          long getSymbolAddress(long handle,
                                java.lang.String name,
                                SymbolProvider parent)

      Gets the address of a symbol by its name and the handle of the library.
      Parameters:
        `handle` - Handle of the original library
        `name` - Name of the symbol to load
        `parent` - Parent symbol provider
      Returns:
        Address of the symbol, typically a function.

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.